1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Iso's dont work :(

Discussion in 'Sony PSP - Homebrew software' started by Iksen, May 22, 2007.

  1. Iksen

    Iksen Member

    Joined:
    May 22, 2007
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    11
    I am new to psp hacking thingies and so I have reverted my psp to 1.5 and dl'd iso games, checked them and they are all fine(the folders/files) But when i try to start them something goes down the drain.
    I can start games with both Fastloader and UMDemulator, but when i press: 'Start Free running.iso" My scrn turns black for 10sec, then it shuts off, when i start it again it say: please upgrade to the current version, well free running is a pretty new game so I guess it is a 3.03 or something like that, what do i need to get it to work when i have firmware 1.5 and the game needs 3.03, but noe homebrew works at 3.03 :(
    Need help plz
    Thanks?
    From Norway
    I think(and hope) I placed this topic in the right forum, if not please move my topic to the right forum ;)
     
  2. svtstang

    svtstang Regular member

    Joined:
    Apr 23, 2006
    Messages:
    4,565
    Likes Received:
    0
    Trophy Points:
    46
    OK you have multiple problems.

    1. No game can be over 18 characters long, or it wont load.

    2.Fastloader and UMDloader are soooooooo outdated it is not even funny! If you want to use a loader, use devhook. The loaders you use do not support anything over 2.50 I think.

    3. This is most important, please read! YOU NEED TO UPGRADE TO OE FIRMWARE!! 3.10 OE at the least! 3.10 to 3.40 can play pretty much any game ever, add the fact you dont need a loader to play them! What are you waiting for? Do some research and upgrade!
     
  3. drakex

    drakex Regular member

    Joined:
    May 19, 2007
    Messages:
    893
    Likes Received:
    0
    Trophy Points:
    26
    True I got it to 3.40 oe-a and is working fine with everysingle game.
     
  4. Iksen

    Iksen Member

    Joined:
    May 22, 2007
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    11
    Ok are you guys sure of this? bcoz i had alot of troublez just to downgrade my psp.
    So basically, all i need to do is to upgrade to 3.xx(summin) version and delete my loaders and then the games should be fine?
    btw, i can just rename the games if the its the filenames that is the problem.
    Sry for my bad english hop you understand =)
    And thanks for posting so fast =)
    Will 3.40 oe-a worki for my?
    Just dl it, transfer to psp game folder then run update?
    NINJAEDIT:
    Ok, i've installed 3.40 oe-a now, BUT!
    I can't seem to play .iso games now either, only comes up "Corrupted data, cannot be started etc.
    also, the folders on my psp that say: 340oeupdate etc. , is it safe to delete them?
    DUBBANINJAEDIT:
    Got to work now :D :D :D
    Really apriciate the help i've gotten :D
     
    Last edited: May 23, 2007
  5. drakex

    drakex Regular member

    Joined:
    May 19, 2007
    Messages:
    893
    Likes Received:
    0
    Trophy Points:
    26
    Wow, what happened here? Its pretty simple the way you do, so I hope you did not get any more troubles!
     
  6. Iksen

    Iksen Member

    Joined:
    May 22, 2007
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    11
    All the time i have been folowing all 2005 type guids with all said 1.5 only worked, but then i got help here and found the right version of the firmware :D
     
  7. svtstang

    svtstang Regular member

    Joined:
    Apr 23, 2006
    Messages:
    4,565
    Likes Received:
    0
    Trophy Points:
    46
    Good deal man, have fun! And yeah, you can delete all the upgrade files. OE is flashed to the mobo, no harm in deleting the files from your mem stick.
     

Share This Page